Description

David,

Please tag dunetpc v07_07_00.

Christoph

History

#1 - 10/05/2018 07:21 AM - David Adams

Test build is underway. --da

#2 - 10/05/2018 09:16 AM - David Adams

- Status changed from New to Work in progress

Tag is made and jenkins builds are started.

#3 - 10/05/2018 01:14 PM - David Adams
The slf6,7 dbg builds have failed with this error:

[ 93%]

Linking CXX shared library
CMakeFiles/CVNTf.dir/tf_graph.cc.o:

ol c

./../1lib/libTemplateTriggerAna_module.so
In function “google::protobuf::RepeatedPtrField<tensorflow: :NodeDef>::Type

Handler::Type const& google::protobuf::internal::RepeatedPtrFieldBase: :Get<google::protobuf::RepeatedPtrField<

tensorflow: :NodeDef>: :TypeHandler> (int)

/cvmfs/larsoft.opensciencegrid.
peated_field.h:1521: undefined
uf::Loglevel, char const*, int)
/cvmfs/larsoft.opensciencegrid.
peated_field.h:1521: undefined
/cvmfs/larsoft.opensciencegrid.
peated_field.h:1521: undefined
uf::internal::LogMessageé&) '

/cvmfs/larsoft.opensciencegrid.
peated_field.h:1521: undefined
/cvmfs/larsoft.opensciencegrid.
peated_field.h:1522: undefined
uf::LoglLevel, char const*, int)
/cvmfs/larsoft.opensciencegrid.
peated_field.h:1522: undefined
/cvmfs/larsoft.opensciencegrid.
peated_field.h:1522: undefined
uf::internal::LogMessage&) '

/cvmfs/larsoft.
peated_field.h:
/cvmfs/larsoft.
peated_field.h:
/cvmfs/larsoft.
peated_field.h:
collect2:
make[2] :
make[1l]:
make[1l]:
[ 93%] Built

* kK

* Kk Kk

* Kk Kk

error:
[dunetpc/1lib/1ibCVNTf.so]
[dunetpc/dune/CVN/tf/CMakeFiles/CVNTf.dir/all] Error 2
Waiting for unfinished jobs....

target MVASelect_module

opensciencegrid.

1522: undefined

opensciencegrid.

1521: undefined

opensciencegrid.

1522: undefined
1ld returned 1

The OSX-10.13 builds are still running.
const':
org/products/protobuf/v3_5_2/Linux64bit+2.
reference to “google::protobuf::internal::
A}

org/products/protobuf/v3_5_2/Linux64bit+2.
reference to “google::protobuf::internal:
org/products/protobuf/v3_5_2/Linux64bit+2.
reference to “google::protobuf::internal:

org/products/protobuf/v3_5_2/Linux64bit+2
reference to “google::protobuf::internal:
org/products/protobuf/v3_5_2/Linux64bit+2
reference to “google::protobuf::internal:
org/products/protobuf/v3_5_2/Linux64bit+2.
reference to “google::protobuf::internal:
org/products/protobuf/v3_5_2/Linux64bit+2.
reference to “google::protobuf::internal:

org/products/protobuf/v3_5_2/Linux64bit+2
reference to “google::protobuf::internal:
org/products/protobuf/v3_5_2/Linux64bit+2.
reference to “google::protobuf::internal:
org/products/protobuf/v3_5_2/Linux64bit+2.
reference to “google::protobuf::internal::
exit status

Error 1

:LogMessage:

6-2.12-el7/include/google/protobuf/re
LogMessage: :LogMessage (google: :protob

6-2.12-el7/include/google/protobuf/re

:LogMessage: :operator<<(char const*)"'

6-2.12-el7/include/google/protobuf/re

:LogFinisher: :operator=(google: :protob

.6-2.12-el7/include/google/protobuf/re
:LogMessage: :~LogMessage () '

.6-2.12-el7/include/google/protobuf/re
:LogMessage: :LogMessage (google: :protob

6-2.12-el7/include/google/protobuf/re

:LogMessage: :operator<<(char const*)"'

6-2.12-el7/include/google/protobuf/re

:LogFinisher: :operator=(google: :protob

.6-2.12-el7/include/google/protobuf/re
:LogMessage: : ~LogMessage () '

6-2.12-el7/include/google/protobuf/re
:~LogMessage () '
6-2.12-el7/include/google/protobuf/re
LogMessage: : ~LogMessage () '
All other builds completed successfully.

#4 - 10/05/2018 01:43 PM - David Adams

| find that the dune_raw_data version used for this release causes a crash in data. See #21043.
| do not think we will be able to process data with this release.

#5 - 10/05/2018 02:06 PM - Justin Hugon

I've also been having an issue with the sl6,7 e17:debug build failing to link libCVNtf.so. It seems to work fine with sl6,7 c2:debug, though. Hope that
helps.

#6 - 10/05/2018 03:28 PM - David Adams

Of course, we would like all builds to but successful but | would not delay too long for the debug builds. Are you working on the CVN debug issue and
we should wait?

I think Tom will soon have a fix for the decoding problem. After that | propose to start build v07_07_00_01.

#7 - 10/05/2018 03:36 PM - Justin Hugon

I'm in full agreement. I'm not working on the CVN issue, | just like to use the debug version of things.

#8 - 10/05/2018 03:40 PM - Tingjun Yang
Add Saul.

#9 - 10/05/2018 07:49 PM - David Adams

The e17 debug builds failed.
The e17 prof builds have been installed.
The mac c2 builds are still running.

#10 - 10/06/2018 05:32 AM - David Adams
0OSX-10.13 jobs ae still running.

#11 - 10/06/2018 07:32 AM - Saul Alonso Monsalve
Christoph Alt wrote:

David,

Please tag dunetpc v07_07_00.

Christoph

David Adams wrote:

0OSX-10.13 jobs ae still running.

David Adams wrote:

The e17 debug builds failed.
The e17 prof builds have been installed.
The mac c2 builds are still running.

| solved the e17 debug failures. Just pushed the changes to develop.

#12 - 10/06/2018 03:06 PM - David Adams

- Status changed from Work in progress to Closed

The c2 builds are now installed.
